Skip to navigation

List

Lists coordinator-created shipper accounts with association filters, name search, sorting, and pagination. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (AccountListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter_account_idslist of strings or nullOptional
Filter by selected account ids
searchstring or nullOptional

Full-text account name search query

filter_org_idstring or nullOptional

Filter by associated on-CHRT shipper organization

filter_off_chrt_org_data_idstring or nullOptional

Filter by associated off-CHRT shipper organization data

sort_byenum or nullOptional
Field to sort by
Allowed values:
sort_orderenumOptional
Sort order
Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Unprocessable Entity Error